=== modified file 'bzrlib/add.py'
--- bzrlib/add.py	2006-09-12 06:30:01 +0000
+++ bzrlib/add.py	2006-11-10 21:06:11 +0000
@@ -19,6 +19,7 @@
 from os.path import dirname
 import sys
 
+import bzrlib.bzrdir
 import bzrlib.errors as errors
 from bzrlib.inventory import InventoryEntry
 from bzrlib.trace import mutter, note, warning

=== modified file 'bzrlib/branch.py'
--- bzrlib/branch.py	2006-10-11 00:23:23 +0000
+++ bzrlib/branch.py	2006-11-10 21:06:11 +0000
@@ -1452,4 +1452,5 @@
 @deprecated_function(zero_eight)
 def is_control_file(*args, **kwargs):
     """See bzrlib.workingtree.is_control_file."""
-    return bzrlib.workingtree.is_control_file(*args, **kwargs)
+    from bzrlib import workingtree
+    return workingtree.is_control_file(*args, **kwargs)

=== modified file 'bzrlib/bzrdir.py'
--- bzrlib/bzrdir.py	2006-11-10 20:26:32 +0000
+++ bzrlib/bzrdir.py	2006-11-10 21:06:11 +0000
@@ -43,6 +43,7 @@
     lockable_files,
     lockdir,
     revision as _mod_revision,
+    repository as _mod_repository,
     urlutils,
     xml4,
     xml5,
@@ -917,7 +918,7 @@
         """See BzrDir.destroy_workingtree."""
         wt = self.open_workingtree()
         repository = wt.branch.repository
-        empty = repository.revision_tree(bzrlib.revision.NULL_REVISION)
+        empty = repository.revision_tree(_mod_revision.NULL_REVISION)
         wt.revert([], old_tree=empty)
         self.destroy_workingtree_metadata()
 
@@ -1800,6 +1801,7 @@
 
     def convert(self, to_convert, pb):
         """See Converter.convert()."""
+        from bzrlib.branch import BzrBranchFormat5
         self.bzrdir = to_convert
         self.pb = pb
         self.count = 0
@@ -1834,14 +1836,14 @@
         # we hard code the formats here because we are converting into
         # the meta format. The meta format upgrader can take this to a 
         # future format within each component.
-        self.put_format('repository', bzrlib.repository.RepositoryFormat7())
+        self.put_format('repository', _mod_repository.RepositoryFormat7())
         for entry in repository_names:
             self.move_entry('repository', entry)
 
         self.step('Upgrading branch      ')
         self.bzrdir.transport.mkdir('branch', mode=self.dir_mode)
         self.make_lock('branch')
-        self.put_format('branch', bzrlib.branch.BzrBranchFormat5())
+        self.put_format('branch', BzrBranchFormat5())
         branch_files = [('revision-history', True),
                         ('branch-name', True),
                         ('parent', False)]

=== modified file 'bzrlib/commit.py'
--- bzrlib/commit.py	2006-10-15 15:55:32 +0000
+++ bzrlib/commit.py	2006-11-10 21:06:11 +0000
@@ -92,6 +92,7 @@
         deprecated_function,
         DEPRECATED_PARAMETER)
 from bzrlib.workingtree import WorkingTree
+import bzrlib.ui
 
 
 class NullCommitReporter(object):

=== modified file 'bzrlib/fetch.py'
--- bzrlib/fetch.py	2006-10-11 23:08:27 +0000
+++ bzrlib/fetch.py	2006-11-10 21:06:11 +0000
@@ -35,13 +35,14 @@
 import bzrlib.errors as errors
 from bzrlib.errors import (InstallFailed,
                            )
-from bzrlib.trace import mutter
 from bzrlib.progress import ProgressPhase
 from bzrlib.revision import NULL_REVISION
 from bzrlib.symbol_versioning import (deprecated_function,
         deprecated_method,
         zero_eight,
         )
+from bzrlib.trace import mutter
+import bzrlib.ui
 
 
 # TODO: Avoid repeatedly opening weaves so many times.

=== modified file 'bzrlib/inventory.py'
--- bzrlib/inventory.py	2006-10-12 01:50:46 +0000
+++ bzrlib/inventory.py	2006-11-10 21:06:11 +0000
@@ -41,6 +41,7 @@
     errors,
     osutils,
     symbol_versioning,
+    workingtree,
     )
 """)
 
@@ -1086,7 +1087,7 @@
 
         if len(parts) == 0:
             if file_id is None:
-                file_id = bzrlib.workingtree.gen_root_id()
+                file_id = workingtree.gen_root_id()
             self.root = InventoryDirectory(file_id, '', None)
             self._byid = {self.root.file_id: self.root}
             return
@@ -1280,7 +1281,7 @@
     :param file_id: the file_id to use. if None, one will be created.
     """
     if file_id is None:
-        file_id = bzrlib.workingtree.gen_file_id(name)
+        file_id = workingtree.gen_file_id(name)
 
     norm_name, can_access = osutils.normalized_filename(name)
     if norm_name != name:

=== modified file 'bzrlib/knit.py'
--- bzrlib/knit.py	2006-10-11 23:08:27 +0000
+++ bzrlib/knit.py	2006-11-10 21:06:11 +0000
@@ -88,6 +88,7 @@
      sha_strings
 from bzrlib.symbol_versioning import DEPRECATED_PARAMETER, deprecated_passed
 from bzrlib.tsort import topo_sort
+import bzrlib.ui
 import bzrlib.weave
 from bzrlib.versionedfile import VersionedFile, InterVersionedFile
 

=== modified file 'bzrlib/lockdir.py'
--- bzrlib/lockdir.py	2006-09-29 20:24:37 +0000
+++ bzrlib/lockdir.py	2006-11-10 21:06:11 +0000
@@ -118,6 +118,7 @@
 from bzrlib.transport import Transport
 from bzrlib.osutils import rand_chars, format_delta
 from bzrlib.rio import read_stanza, Stanza
+import bzrlib.ui
 
 
 # XXX: At the moment there is no consideration of thread safety on LockDir

=== modified file 'bzrlib/merge.py'
--- bzrlib/merge.py	2006-10-18 02:26:35 +0000
+++ bzrlib/merge.py	2006-11-10 21:06:11 +0000
@@ -38,7 +38,6 @@
                            BinaryFile,
                            )
 from bzrlib.merge3 import Merge3
-import bzrlib.osutils
 from bzrlib.osutils import rename, pathjoin
 from progress import DummyProgress, ProgressPhase
 from bzrlib.revision import common_ancestor, is_ancestor, NULL_REVISION
@@ -224,7 +223,7 @@
         mutter("doing merge() with no base_revision specified")
         if base_revision == [None, None]:
             try:
-                pb = bzrlib.ui.ui_factory.nested_progress_bar()
+                pb = ui.ui_factory.nested_progress_bar()
                 try:
                     this_repo = self.this_branch.repository
                     self.base_rev_id = common_ancestor(self.this_basis, 
@@ -327,7 +326,7 @@
             else:
                 parent = by_path[os.path.dirname(path)]
             abspath = pathjoin(self.this_tree.basedir, path)
-            kind = bzrlib.osutils.file_kind(abspath)
+            kind = osutils.file_kind(abspath)
             if file_id in self.base_tree.inventory:
                 executable = getattr(self.base_tree.inventory[file_id], 'executable', False)
             else:

=== modified file 'bzrlib/store/revision/__init__.py'
--- bzrlib/store/revision/__init__.py	2006-10-16 01:25:46 +0000
+++ bzrlib/store/revision/__init__.py	2006-11-10 21:06:11 +0000
@@ -33,7 +33,9 @@
     errors,
     xml5,
     )
+import bzrlib.store
 """)
+
 from bzrlib.trace import mutter
 
 

=== modified file 'bzrlib/store/revision/knit.py'
--- bzrlib/store/revision/knit.py	2006-10-11 23:08:27 +0000
+++ bzrlib/store/revision/knit.py	2006-11-10 21:06:11 +0000
@@ -22,7 +22,7 @@
 
 
 import bzrlib
-import bzrlib.errors as errors
+from bzrlib import errors, osutils
 from bzrlib.knit import KnitVersionedFile, KnitPlainFactory
 from bzrlib.store.revision import RevisionStore
 from bzrlib.store.versioned import VersionedFileStore
@@ -66,12 +66,12 @@
         self.get_revision_file(transaction).add_lines_with_ghosts(
             revision.revision_id,
             revision.parent_ids,
-            bzrlib.osutils.split_lines(revision_as_file.read()))
+            osutils.split_lines(revision_as_file.read()))
 
     def add_revision_signature_text(self, revision_id, signature_text, transaction):
         """See RevisionStore.add_revision_signature_text()."""
         self.get_signature_file(transaction).add_lines(
-            revision_id, [], bzrlib.osutils.split_lines(signature_text))
+            revision_id, [], osutils.split_lines(signature_text))
 
     def all_revision_ids(self, transaction):
         """See RevisionStore.all_revision_ids()."""

=== modified file 'bzrlib/store/revision/text.py'
--- bzrlib/store/revision/text.py	2006-10-11 23:08:27 +0000
+++ bzrlib/store/revision/text.py	2006-11-10 21:06:11 +0000
@@ -106,7 +106,7 @@
         try:
             return self.text_store.get(revision_id)
         except (IndexError, KeyError):
-            raise bzrlib.errors.NoSuchRevision(self, revision_id)
+            raise errors.NoSuchRevision(self, revision_id)
 
     def _get_signature_text(self, revision_id, transaction):
         """See RevisionStore._get_signature_text()."""

=== modified file 'bzrlib/transport/http/__init__.py'
--- bzrlib/transport/http/__init__.py	2006-10-09 07:34:15 +0000
+++ bzrlib/transport/http/__init__.py	2006-11-10 21:06:11 +0000
@@ -34,7 +34,7 @@
 import BaseHTTPServer, SimpleHTTPServer, socket, time
 import threading
 
-from bzrlib import errors
+from bzrlib import errors, ui
 from bzrlib.errors import (TransportNotPossible, NoSuchFile,
                            TransportError, ConnectionError, InvalidURL)
 from bzrlib.branch import Branch
@@ -48,7 +48,6 @@
     )
 from bzrlib.transport.http.response import (HttpMultipartRangeResponse,
                                             HttpRangeResponse)
-from bzrlib.ui import ui_factory
 
 
 def extract_auth(url, password_manager):
@@ -74,7 +73,7 @@
         if password is not None:
             password = urllib.unquote(password)
         else:
-            password = ui_factory.get_password(prompt='HTTP %(user)@%(host) password',
+            password = ui.ui_factory.get_password(prompt='HTTP %(user)@%(host) password',
                                                user=username, host=host)
         password_manager.add_password(None, host, username, password)
     url = urlparse.urlunsplit((scheme, netloc, path, query, fragment))

